%define anolis_release 1

%global pypi_name jsonschema

%global common_description %{expand:
jsonschema is an implementation of JSON Schema for Python (supporting
2.7+, including Python 3).

 - Full support for Draft 7, Draft 6, Draft 4 and Draft 3
 - Lazy validation that can iteratively report all validation errors.
 - Small and extensible
 - Programmatic querying of which properties or items failed validation.}

Name:           python-%{pypi_name}
Summary:        Implementation of JSON Schema validation for Python
Version:        4.17.3
Release:        %{anolis_release}%{?dist}
License:        MIT
URL:            https://github.com/Julian/jsonschema
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel

# test requirements
%bcond_without tests
%if %{with tests}
# For “trial-3”
BuildRequires:  python3dist(twisted)
%endif

%description %{common_description}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%description -n python3-%{pypi_name} %{common_description}

%pyproject_extras_subpkg -n python3-%{pypi_name} format format-nongpl

%package -n     python3-%{pypi_name}-doc
Summary:        doc files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
doc files for python3-%{pypi_name}

%prep
%autosetup -n %{pypi_name}-%{version}

# Requires a checkout of the JSON-Schema-Test-Suite
# https://github.com/json-schema-org/JSON-Schema-Test-Suite
rm jsonschema/tests/test_jsonschema_test_suite.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} trial-3 %{pypi_name}
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING json/LICENSE
%{_bindir}/jsonschema

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Mon Feb 20 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.17.3-1
- update to version 4.17.3

* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 4.4.0-1
- Init package from upstream v4.4.0
